/* Sample script for implementing basic Telnet functions in AdeptXBBS */

/*
   This script is freely distributed with AdeptXBBS.  Do with it as you
   wish.
*/

/*
   Note: This script will not work from a local login, it will crash the
   BBS software.  It will not display anything on the local console while
   the user has telnetted from the system
*/

LEAVEPORTOPEN       = X2D(00000001)
OPENPORTSHARED      = X2D(00000002)
OPENWRITETHROUGH    = X2D(00000004)
ISPIPESERVER        = X2D(00000010)
ISPIPECLIENT        = X2D(00000020)
IGNORECARRIER       = X2D(00000040)

ISTELNETSERVER      = X2D(00000080)
ISTELNETCLIENT      = X2D(00000100)
ISSERIAL            = X2D(00000200)
ISSOCKETSERVER      = X2D(00000400)
ISSOCKETCLIENT      = X2D(00000800)
DELETECONNECTION    = X2D(00001000)

ARG Line

HostName = AdeptInput(line,,80,,,"[0m[K\r\n[KTelnet to what site: ",,,)

if(HostName = '') then do
    exit
end

Port = 23

RetCode = AdeptRawOpenSocket(ISTELNETCLIENT, HostName, Port, 'Handle')

if(RetCode > 65279) then do
   exit
end

if(line = 0) then do
   AdeptRawClose(Handle)
   exit
end

if(Handle = 'HANDLE') then do
   exit
end

AdeptRawComLink(line, Handle)

