/* 

  TelnetOut.Cmd - Required for TelnetSnoop.Cmd

  Receives all the stuff from the user and sends it to the telnet host.

  See TelnetSnoop.Cmd for how to contact me in case of bug reports etc

*/

arg line,port

signal on halt
signal on error

do forever
  /* Receive a character from the user */
  frommodem = AdeptTimedInKey(line,32)

  /* if Hangup/Lockout then exit the script */
  if(frommodem="-2")|(frommodem="-3")then
  do
    Call AdeptSetGlobalVar 'STATUS','EXIT'
	signal lemmeout
  end

  /* If we timeout then loop again */
  if(frommodem="-1")|(frommodem="")then
    iterate 
  
  /* Convert to Character from ASCII code */
  frommodem = D2C(frommodem)

  /* Send the character to the telnet host */
  rc = AdeptRawComWrite(port,frommodem,1,'TRUE')
end

halt:
error:
lemmeout:
  exit
